<?php
/**
 * @package Sj Zoo Categories Accordion
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 *
 */
defined('_JEXEC') or die;
$uniqued='sj_categories_accordion_'.rand().time();
	@ob_start();
 	include JModuleHelper::getLayoutPath($module->module, 'styles');
	$stylesheet = @ob_get_contents();
	@ob_end_clean();
	$docs = JFactory::getDocument();
	$docs->addStyleDeclaration($stylesheet );
if(!empty($items)){
    $nb_page = $options->num_cots * $options->num_rows;    
?>
<?php if (!empty($options->pretext)): ?>
<div style="width: <?php echo ($options->width_module);?>px; margin:5px 0;">
    <?php  echo $options->pretext;?>
</div>
<?php endif; ?>
<div id="<?php echo $uniqued; ?>" class="sj-categories-accordion">
    <div class="sj-heading"><?php echo $options->title_module; ?></div><!--end title_module-->
    <div class="ca-wrapper">
    <?php foreach($items as $key=>$cat){ ?>
    <?php if(!empty($cat->child)){ ?>
        <div class="ca-element">
			<div class="ca-element-heading <?php if($options->cat_show_image == 1){echo "show-image" ;}?>">
				<div class="ca-category-wrap">
                <?php if(!empty($cat->image) && $options->cat_show_image == 1){ ?>
					<div class="ca-category-image">
						<img src="<?php echo YTools::resize($cat->image,$image_cat_config); ?>" title="<?php echo $cat->title; ?>" alt="<?php echo $cat->title; ?>"/>
					</div><!--end ca-category-image-->
                <?php }?>
					<div class="ca-category-title">
                        <?php echo $cat->title; ?>
                    </div><!--end ca-category-title-->
                <?php if($options->cat_show_des == 1  && !empty($cat->description)){ ?>
					<div class="ca-category-description">
						<?php echo Ytools::truncate($cat->description,$options->cat_limit_des,""); ?>
                    </div><!--end ca-category-description-->
                <?php }?>
					<div class="clear"></div>
				</div><!--end ca-category-wrap-->
			</div><!--end ca-element-heading-->
            <div class="ca-element-content">
                <div class="ca-content-pages">
                    <div class="ca-content-pages-inner">
					<?php if(!empty($cat->child)){
                        $q=0; 
                        foreach($cat->child as $key=>$item){                            
                        $count_item = count($cat->child);
                        $q++;
                        $page_items = $count_item % $nb_page;
                        $cots_items = $page_items % $cots;
                        $remain = $count_item - $cots_items; 
                        if($q%$nb_page==1 || $nb_page==1){?>
                        <div class="page">
                    <?php }?>
                            <div class="item-wrap" style="<?php if($q >$remain){?>width:<?php echo (($module_width-20)/$cots_items) -10; ?>px;<?php }?>">
                                <div class="item-image style2" style="<?php if(empty($item->image) || $options->item_show_image == 0){?> border: none; padding: 3px; border-radius: 0px; <?php }?><?php if($q > $remain){if($options->item_image_width > $module_width/$cots_items -30){if($cots_items == 1){?>width:<?php echo $module_width/$cots_items -36 ."px";}else{?>width:<?php echo $module_width/$cots_items -30; ?>px;<?php }}else{?>width:<?php echo $options->item_image_width; ?>px;<?php }}?>">
                            <?php if(!empty($item->image) && $options->item_show_image == 1){ ?>
                                    <?php if($options->item_link_image == 1){?>
                                        <a href="<?php echo $item->link; ?>" <?php echo YTools::parseTarget($options->item_link_target);?> title="<?php echo $item->title; ?>">
                                            <img src="<?php echo YTools::resize($item->image,$image_item_config);?>" alt="<?php echo $item->title; ?>" />
                                        </a>
                                    <?php }else{?>
                                        <img src="<?php echo YTools::resize($item->image,$image_item_config);?>" alt="<?php echo $item->title; ?>" />
                                    <?php } ?>
                            <?php } ?>
                                    
                                    <div class="item-info" style="<?php if(empty($item->image)){ echo "bottom:3px;";}?>">
                                        <div class="item-info-title">
                                        <?php if($options->item_show_title == 1){ ?>
            								<div class="item-title">
                                                <?php if($options->item_link_title == 1){?>
                                                    <a href="<?php echo $item->link; ?>" <?php echo YTools::parseTarget($options->item_link_target);?> title="<?php echo $item->title; ?>" >
                                                        <?php echo Ytools::truncate($item->title,$options->item_limit_title);  ?>
                                                    </a>
                                                <?php }else{?>
                                                            <?php echo Ytools::truncate($item->title,$options->item_limit_title);  ?>
                                                <?php } ?>
                                            </div><!--end item-title-->
            							<?php } ?>
                                        </div><!--end item-info-title-->
                                        <div class="item-info-description">
                                        <?php if($options->item_show_des == 1 && !empty($item->description)){ ?>
            								<div class="item-description">
                                                <?php echo Ytools::truncate($item->description,$options->item_limit_des,""); ?>
                                            </div><!--end item-description-->
            							<?php }?>
                                        <?php if($options->item_show_comment == 1){ ?>
            								<div class="item-comment">
                                                <?php if((int)($item->comments) >=2){
                                                    echo "Comments:";
                                                }else{
                                                    echo "Comment:";
                                                }?>
            									<span class="number"><?php echo $item->comments;?></span>
            								</div><!--end item-comment-->
                                        <?php }?>                                        
                                        <?php if($options->item_show_hits == 1){ ?>
            								<div class="item-visited">
                                                <?php if((int)$item->hits>=2){
                                                echo "Hits: ";
                                                }else{
                                                    echo "Hit: ";
                                                }?>
            									<span class="number"><?php echo $item->hits;?></span>
            								</div><!--end item-visited-->
                                        <?php }?>
                                        <?php if($options->item_show_date == 1){ ?>
            								<div class="item-created">
                                                <?php echo date("d F Y", strtotime($item->created)); ?>
                                            </div><!--end item-created-->
                                        <?php }?>
                                            <div class="clear"></div>
                                        </div>
                                    <div class="bg-item-info"></div>
                                    </div><!--end item-info-->
                                    
                                </div><!--end item_image-->
                            </div><!--end item-wrap-->
                        <?php if($q%$nb_page == 0  || $q==$count_item){ ?>
						</div><!--end page-->
                    <?php }}}?>
                      
                    </div><!--end ca-content-pages-inner-->
                </div><!--end ca-content-pages-->
                <?php if($options->source_limit >0){?>
                <?php
                        $number_item_on_page = $nb_page;
                        if(!empty($count_item)){
                            $number_page = $count_item*1.0 / $number_item_on_page;
                            if (intval($number_page)<$number_page){
                            	$number_page = intval($number_page) + 1;
                            } else {
                            	$number_page = intval($number_page);
                            }
                ?>
                <?php if($count_item > $nb_page && !empty($cat->child)){?>
				<div class="ca-control">
					<ul class="page-paging" style="width:<?php echo ($number_page*15)+36; ?>px;">
						<li class="paging  previous"></li>
                        <?php for($nb=0; $nb<$number_page; $nb++){
                            $active_class = $nb==0 ? " active" : "";
                            ?>
                            <li class="paging paging<?php echo $nb.$active_class; ?>"></li>
                        <?php }?>
						<li class="paging next"></li>
					</ul>
				</div>
                <?php }}?>
                <?php }?>
            </div><!--end ca-element-content-->
        </div><!--end ca-element-->
        <div class="clear"></div>
    <?php }} ?>
    </div><!--end ca-wrapper-->
</div><!--end sj_categories_accordion-->
<?php if (!empty($options->posttext)): ?>
<div style="width: <?php echo ($options->width_module);?>px; margin:5px 0;">
    <?php  echo $options->posttext;?>
</div>
<?php endif; ?>
<?php } else { echo JText::_('Has no content to show!');}?>
<script type="text/javascript">
//<![CDATA[
	$jsmart(document).ready(function($){
        $('.ca-content-pages', '#<?php echo $uniqued;?>').each(function(){
            var inner = $('.ca-content-pages-inner', this);
            console.log(inner[0]);
            if(inner.length){
                var inner_height = $(inner[0]).height();
                $(this).css('height',inner_height);
            }
        });
		$('#<?php echo $uniqued;?>').sj_categories_accordion({
			items: '.ca-element',
			heading: '.ca-element-heading',
			content: '.ca-element-content',
			active_class: 'selected',
			event:'<?php echo $options->pager_event;?>',
			delay: 300,
			duration: 500,
			active: 1
		});
        $('.item-image', '#<?php echo $uniqued;?>').each(function(){
            var itemimage = $(this);
            var iteminfo = $('.item-info-description', this);
            var infoheight = $(iteminfo).height();
            // stored height
            $(this).data('_h', infoheight);
            $(iteminfo).css('height', 0);
            $(this).addClass('closed');;
            
            $(this).hover(
                function(){
                    // up.
                    var toheight = $(this).data('_h');
                    if (toheight){
                        itemimage.css('cursor', 'pointer');
                        $(iteminfo).stop().animate(
                            {height: toheight},
                            {
                                duration: 200,
                                queue: false,
                                complete: function(){
                                    $(itemimage).removeClass('closed');
                                }
                            }
                        );
                    }
                },
                function(){
                    $(iteminfo).stop().animate(
                        {height: 0},
                        {
                            duration: 200,
                            queue: false,
                            complete: function(){
                                $(itemimage).addClass('closed');
                            }
                        }
                    );
                }
            );
        });
        
		$('.ca-element-content', '#<?php echo $uniqued;?>').each(function(){
			var $context = $(this);
			var $content = $('.ca-content-pages-inner', $context);
			var $pages = $('li.paging', $context);
			var $number_of_page = $pages.length - 2;
			$pages.each(function(){
				$content.data('current', 0);
				$(this).click(function(){
				    if ($(this).hasClass('active')){
				        return;
				    }
					console.log(this);
					if ($(this).hasClass('next')){
						$index = $content.data('current');
						$index = $index + 1;
						if ($index+1 > $number_of_page){
							$index = 0;
						}
					} else if ($(this).hasClass('previous')){
						$index = $content.data('current');
						$index = $index - 1;
						if ($index < 0){
							$index = $number_of_page - 1;
						}
					} else {
						$index = $pages.index(this);
						$index = $index - 1;
					}
                    var $current = $pages.filter('.paging'+$index);
                    //alert($current);
					var pageLeft = $('.page', $content).eq($index).position().left;
					$content.stop().animate({left: -pageLeft}, {
						duration: 500
					});
                    $pages.removeClass('active');
                    $current.addClass('active');
					$content.data('current', $index);
				});
			});
		});
        
	});

//]]>
</script>
